var vinculoID = 0;
var vinculoFiltroID = 0;

function mostraImagem()
{
	var dados = $.trim($("#vinculoRelatorio").val());
	
	if(dados != '')
	{
		if(dados == 'url')
		{
			$("#urlVinculo").show();
			$("#iconeDescricaoVinculos").show();
			$("#imgVinculo").hide();
		}
		else
		{
			var array = dados.split(",");
			var tipo = array[0];

			$("#imgVinculo").show();
			$("#urlVinculo").hide();
			$("#urlVinculo").val('');
			$("#iconeDescricaoVinculos").hide();
		}
	}
	else
	{
		$("#imgVinculo").hide();
		$("#urlVinculo").hide();
		$("#iconeDescricaoVinculos").hide();
	}
	
	$("#flagMostar").val(0);
	$("#janela_modalVinculo").remove();
	$("#overlayVinculo").remove();
	
	return false;
}

function limparVinculo()
{
	// Combo com os Relatorios
	$("#vinculoRelatorio").val('');
	
	// Flag do Modal
	$("#flagMostar").val(0);
	
	// DIVs do Modal
	$("#janela_modalVinculo").remove();
	$("#overlayVinculo").remove();
	
	// Imagem e Tipo
	$("#vinculoTipo, #imgVinculo").hide();
}

function initVinculo()
{
	var dados = $("#vinculoRelatorio").val();

	if(dados != '')
	{
		var tipo = $("input[name='formato']:radio:checked").val();
		var tabela = $("#tabela").val();
		
		var relatorio = $("#relatorioid").val();
		var array = dados.split(",");
		var relatorioVinculo = array[1];
		
		$.post(basepath + "principal/modalVinculo", {
			relatorioVinculo : relatorioVinculo,
			relatorio : relatorio,
			tipo : tipo,
			tabela : tabela,
			alterar : 1
		}, function(data){
			$("#divInitVinculo").html(data);
		});
	}
}

function alterarModalVinculo()
{
	$("#divInitVinculo").html('');
	
	var relatorio = $("#relatorioid").val();
	
	var flag = $("#flagMostar").val();
	
	if(flag == 1)
	{
	    $("#janela_modalVinculo").fadeIn('slow');
		$("#overlay1").fadeIn('slow');
	}
	else
	{
		var tipo = $("input[name='formato']:radio:checked").val();
		var tabela = $("#tabela").val();
		
		var dados = $("#vinculoRelatorio").val();
		var array = dados.split(",");
		var relatorioVinculo = array[1];
	
		$.post(basepath + "principal/modalVinculo", {
			relatorioVinculo : relatorioVinculo,
			relatorio : relatorio,
			tipo : tipo,
			tabela : tabela,
			alterar : 1
		}, function(data){
			
			$("#janela_modalVinculo").html('');
			$("#overlay1").html('');
			
			var overlay = '<div id="overlay1"></div>';
			var overlayCSS = {'position' : 'absolute','width' : pageWidth + 'px','height' : pageHeight + 'px','left' : '0','top' : '0','display' : 'none', 'z-index' : '50'};
			
			var janela = '<div id="janela_modalVinculo"></div>';
			var janelaCSS = {'position' : 'absolute','top' : '50%','left' : '50%','width' : '795px','height' : '490px','margin-left' : '-390px','margin-top' : '-245px','background-color' : '#FFFFFF','padding' : '10px 15px 15px 15px','display' : 'none','border' : '4px solid #63A0CE','border-radius' : '10px','z-index' : '51'};
			
			var btnFechar = '<a onClick="fecharModalVinculo()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" style="position: absolute; top: 50%; left: 50%; cursor: pointer; margin-left: 375px; margin-top: -250px;" /></a>';
			
			var btnCancelar = '<input type="image" id="btnCancel" name="btnCancel" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fecharModalVinculo()" />';
			var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-113px','margin-top' : '-40px','width' : '100px'};
			
			var btnOK = '<input type="image" id="btnSend" name="btnSend" src="' + basepath + 'www/imagem/btn_confirmar.png" onClick="addModalVinculo()" />';
			var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '600px','margin-top' : '-40px','width' : '100px'};
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay1").css(overlayCSS).fadeIn('fast', function(){
				
				$("#janela_modalVinculo").append(data);
			
				$("#janela_modalVinculo").append(btnFechar);
				$("#btnFechar").fadeIn("slow");
				
				$("#janela_modalVinculo").append(btnCancelar);
				$("#btnCancel").css(btnCancelaCSS);
				
				$("#janela_modalVinculo").append(btnOK);
				$("#btnSend").css(btnOKCSS);
				
				$("#janela_modalVinculo").css(janelaCSS).fadeIn("slow");	
				
				$('.opacityImgDel').click(removerFiltroVinculo);
				
				$('.opacityImgDelFiltro').click(removerFieldFiltroVinculo);
				
				$("select[name='vinculoCampos']").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: 'multiselect-filtros multiselect-menu-filtros' });
				$(".selectVinculoFiltro").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: "multiselect-vinculos" });
				$("select[name='vinculoCampos']").multiselect('refresh');
				$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});	
			});	
		});
	}
}

function modalVinculo()
{
	var flag = $("#flagMostar").val();
	
	if(flag == 1)
	{
	    $("#janela_modalVinculo").fadeIn('slow');
		$("#overlay1").fadeIn('slow');
	}
	else
	{
		var relatorio = $("#relatorioid").val();
		var tipo = $("input[name='formato']:radio:checked").val();
		var tabela = $("#tabela").val();
		
		var dados = $("#vinculoRelatorio").val();
		var array = dados.split(",");
		var relatorioVinculo = array[1];

		$.post(basepath + "principal/modalVinculo", {
			relatorioVinculo : relatorioVinculo,
			relatorio : relatorio,
			tipo : tipo,
			tabela : tabela,
			alterar : 0
		}, function(data){	
	
			$("#janela_modalVinculo").remove();
			$("#overlay1").remove();
			
			var overlay = '<div id="overlay1"></div>';
			var overlayCSS = {'position' : 'absolute','width' : pageWidth + 'px','height' : pageHeight + 'px','left' : '0','top' : '0', 'display' : 'none', 'z-index' : '50'};
			
			var janela = '<div id="janela_modalVinculo"></div>';
			var janelaCSS = {'position' : 'absolute','top' : '50%','left' : '50%','width' : '795px','height' : '490px','margin-left' : '-390px','margin-top' : '-245px','background-color' : '#FFFFFF','padding' : '10px 15px 15px 15px','display' : 'none','border' : '4px solid #63A0CE','border-radius' : '10px','z-index' : '51'};
			
			var btnFechar = '<a onClick="fecharModalVinculo()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" style="position: absolute; top: 50%; left: 50%; cursor: pointer; margin-left: 375px; margin-top: -250px;" /></a>';
			
			var btnCancelar = '<input type="image" id="btnCancel" name="btnCancel" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fecharModalVinculo()" />';
			var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-113px','margin-top' : '-40px','width' : '100px'};
			
			var btnOK = '<input type="image" id="btnSend" name="btnSend" src="' + basepath + 'www/imagem/btn_confirmar.png" onClick="addModalVinculo()" />';
			var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '600px','margin-top' : '-40px','width' : '100px'};
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay1").css(overlayCSS).fadeIn('fast', function(){
				
				$("#janela_modalVinculo").append(data);
			
				$("#janela_modalVinculo").append(btnFechar);
				$("#btnFechar").fadeIn("slow");
				
				$("#janela_modalVinculo").append(btnCancelar);
				$("#btnCancel").css(btnCancelaCSS);
				
				$("#janela_modalVinculo").append(btnOK);
				$("#btnSend").css(btnOKCSS);
				
				$("#janela_modalVinculo").css(janelaCSS).fadeIn("slow");	
				
				$("#vinculoCampos").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: 'multiselect-filtros multiselect-menu-filtros' });
				$(".selectVinculoFiltro").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: "multiselect-vinculos" });
				$("#vinculoCampos").multiselect('refresh');
				$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});	
			});	
	
		});
	}
}

// HTML DAS IMAGENS
var imgAdicionarVinculo = '<img src="' + basepath + 'www/imagem/adicionar.png" align="absmiddle" class="opacityImgAdd" onClick="adicionarFiltroVinculo()" title="Adicionar" alt="Adicionar" />';
var imgRemoverVinculo = '<img src="' + basepath + 'www/imagem/remover.png" align="absmiddle" class="opacityImgDel" title="Remover" alt="Remover" />';

/* BUSCA OS CAMPOS CONFORME DADOS SELECIONADOS */
function buscaDadosFiltroVinculo(id)
{
	var campo = $("#" + id).val();
	
	var tipo = $("input[name='formato']:radio:checked").val();
	
	var dados = $("#vinculoRelatorio").val();
	var array = dados.split(",");
	var relatorio = array[1];
	
	if(campo != '')
	{
		$.post(basepath + "principal/buscaDadosVinculo", {
			campo : campo,
			relatorio : relatorio,
			tipo : tipo
		}, function(data){
			campospam = $("#" + id).next().next();
			campospam.html(data);
			
			// NUMERO //
			$(".opcaoTime").mask("99:99:99");
			$('.opcaoInt').keypress(function(e) {
				var c = String.fromCharCode(e.which);
				var allowed = '1234567890';
				if (e.which != 8 && allowed.indexOf(c) < 0) return false;
			});
			
			$('.opcaoFloat').keypress(function(e) {
				var c = String.fromCharCode(e.which);
				var allowed = '1234567890.,';
				if (e.which != 8 && allowed.indexOf(c) < 0) return false;
			});
			
			// DATA //
			$(".opcaoData").mask("99/99/9999");
			
			campospam.children("select:first").attr("id", "opcao_" + vinculoID);
	
			$('.btnVincDel:first').html(imgRemoverVinculo);
			
			$('.opacityImgDel:first').click(removerFiltroVinculo);
		});
	}
	else
	{
		$("#" + id).next().next().html("");
		
		return false;
	}
}

/* HABILITA O COMPO CASO SELECIONE 'ENTRE' */
function mostraVinculoNumero(id)
{
	var valor = $("#"+id).val();

	if(valor == "entre") 
	{
		$("#"+id).next().next().next().show();
		$("#"+id).next().next().next().next().show();
	} 
	else 
	{
		$("#"+id).next().next().next().val("");
		$("#"+id).next().next().next().next().val("");
		$("#"+id).next().next().next().hide();
		$("#"+id).next().next().next().next().hide();
	}
}

/* DESABILITA O COMPO DE DATA */
function mostraVinculoData(id)
{
	var valor = $("#"+id).val();

	if(valor == 'igual') 
	{
		$("#"+id).next("select").show();
		$("#"+id).next("input").show();

		$("#"+id).next().next().next().val("");
		$("#"+id).next().next().next().next().val("");
		$("#"+id).next().next().next().hide();
		$("#"+id).next().next().next().next().hide();
	} 
	else if(valor == 'entre') 
	{
		$("#"+id).next("select").show();
		$("#"+id).next("input").show();

		$("#"+id).next().next().next().show();
		$("#"+id).next().next().next().next().show();
	} 
	else 
	{
		$("#"+id).next("select").hide();
		$("#"+id).next("input").hide();

		$("#"+id).next().next().next().val("");
		$("#"+id).next().next().next().next().val("");
		$("#"+id).next().next().next().hide();
		$("#"+id).next().next().next().next().hide();
	}
}

/* REMOVE O FILTRO */
function removerFiltroVinculo()
{
	var qtdFiltros = 0;
	$(".vinculoFiltros").each(function() { qtdFiltros++; }); 

	if (qtdFiltros > 1) 
	{
		$(this).parent().parent().remove();
		$('.btnVincAdd').html("");
		$('.btnVincAdd:last').html(imgAdicionarVinculo);
	} 
	else 
	{
		$(".resultFiltroVinculo").html("");
		$(".btnVincDel").html("");
		$("select[name='vinculoCampos'] option:first").attr("selected", "selected");
	}
	
	$("select").multiselect('refresh');
}

/* ADICIONA UM NOVO FILTRO */
function adicionarFiltroVinculo()
{
	// CLONE 
	$('.vinculoFiltros:first').clone().insertAfter('.vinculoFiltros:last');
	$('.vinculoFiltros:last').children("button").remove();
	$('.resultFiltroVinculo:last').html("");
	$("select[name='vinculoCampos']:last option:first").attr('selected', true); 
	
	vinculoID++;
	$("select[name='vinculoCampos']:last").attr("id", "vinculoCampos_" + vinculoID);
	
	$("#vinculoCampos_" + vinculoID).multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto" });
	$("#vinculoCampos_" + vinculoID).multiselect('refresh');
	$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});	

	$('.btnVincAdd').html("");
	$('.btnVincAdd:last').html(imgAdicionarVinculo);
	$('.btnVincDel').html(imgRemoverVinculo);
	
	$('.opacityImgDel').click(removerFiltroVinculo);
}

// HTML DAS IMAGENS
var imgAdicionarFieldVinculo = '<img src="' + basepath + 'www/imagem/adicionar.png" align="absmiddle" class="opacityImgAddFiltro" onClick="adicionarFieldFiltroVinculo()" title="Adicionar" alt="Adicionar" />';
var imgRemoverFieldVinculo = '<img src="' + basepath + 'www/imagem/remover.png" align="absmiddle" class="opacityImgDelFiltro" title="Remover" alt="Remover" />';

/* ADICIONA UM NOVO FILTRO DO VINCULO */
function adicionarFieldFiltroVinculo()
{
	// CLONE 
	$('.fieldVinculoFiltros:first').clone().insertAfter('.fieldVinculoFiltros:last');
	$('.fieldVinculoFiltros:last').children("button").remove();
	
	// SELECIONA
	$("select[name='vinculoFiltroRelatorio']:last option:first").attr('selected', true);
	$("select[name='vinculoFiltroVinculado']:last option:first").attr('selected', true);
	
	// Mudar o ID dos Campos
	vinculoFiltroID++;
	$("select[name='vinculoFiltroRelatorio']:last").attr("id", "vinculoFiltroRelatorio_" + vinculoFiltroID);
	$("select[name='vinculoFiltroVinculado']:last").attr("id", "vinculoFiltroVinculado_" + vinculoFiltroID);
	
	// MultiSelect
	$(".selectVinculoFiltro").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: "multiselect-vinculos" });
	$("selectVinculoFiltro").multiselect('refresh');
	$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});

	// ATUALIZA OS BOTOES
	$('.btnFiltroAdd').html("");
	$('.btnFiltroAdd:last').html(imgAdicionarFieldVinculo);
	$('.btnFiltroDel').html(imgRemoverFieldVinculo);
	
	// CALL REMOVER
	$('.opacityImgDelFiltro').click(removerFieldFiltroVinculo);
}

/* REMOVE O FILTRO DO VINCULO */
function removerFieldFiltroVinculo()
{
	// CONTA OS FILTROS
	var qtdFiltros = 0;
	$(".fieldVinculoFiltros").each(function() { qtdFiltros++; }); 

	if (qtdFiltros > 1) 
	{
		$(this).parent().parent().remove();
		$('.btnFiltroAdd').html("");
		$('.btnFiltroAdd:last').html(imgAdicionarFieldVinculo);
	} 
	else 
	{
		$(".btnFiltroDel").html("");
		$("select[name='vinculoFiltroRelatorio']:last option:first").attr('selected', true);
		$("select[name='vinculoFiltroVinculado']:last option:first").attr('selected', true);
	}
	
	// REFRESH
	$(".selectVinculoFiltro").multiselect('refresh');
}

function fecharModalVinculo() 
{
	$("select").multiselect("close");
	
    $("#janela_modalVinculo").fadeOut();
    $("#overlay1").fadeOut();
}

function addModalVinculo() 
{
	$("select").multiselect("close");
	
	var erroVinculo = 0;
	var erroFiltros = 0;
	
	$("select[name='vinculoCampos']").each(function(){ if( $.trim($(this).val()) != '') { erroVinculo++; }});
	
	var tipoVinculoFiltros = $("input[name='opcaoFiltro']:radio:checked").val();

	if(tipoVinculoFiltros == 'P')
	{
		$("select[name='vinculoFiltroRelatorio']").each(function(){ if( $.trim($(this).val()) == '' ) erroFiltros++; });
		$("select[name='vinculoFiltroVinculado']").each(function(){ if( $.trim($(this).val()) == '' ) erroFiltros++; });
	}
	
	if(erroVinculo == 0)
	{
		jAlert("Obrigat&oacute;rio no m&iacute;nimo 1 (um) v&iacute;nculo.", 'Alerta!', function(){ return false; });
	}
	else if(erroFiltros > 0)
	{
		jAlert("Favor definir corretamente os filtros.", 'Alerta!', function(){ return false; });
	}
	else
	{
		$("#flagMostar").val(1);
		$("#janela_modalVinculo").fadeOut();
		$("#overlay1").fadeOut();
	}
}

function trocarValor(valor) 
{
	var id = valor.split("_");
	
    var texto = $("#combo_" + id[1] + " option:selected").text();
    var opcao = $("#combo_" + id[1]).val();

    $("#text_" + id[1]).val(texto);

    if(opcao != "0")
      $("#text_" + id[1]).attr("disabled", true);
    else
      $("#text_" + id[1]).removeAttr("disabled");
}

function trocarTexto(valor)
{
	var id = valor.split("_");
	
    var texto = $("#text_" + id[1]).val();

    $("#combo_" + id[1] + " option[value='0']").text(texto);
}

function VinculaClick(tipo, valores)
{
	var dados = $("#vinculoRelatorio").val();

	if(dados != "") 
	{
		var urlVinculo = '';
		var relatorio = '';
		
		if(dados == 'url')
		{
			urlVinculo = $.trim($("#urlVinculo").val());
			
			if(urlVinculo == '')
			{
				return false;
			}
		}
		else
		{
			var array = dados.split(",");
			relatorio = array[1];
		}
		
		// Vinculos
		var	vinculoCampos = new Array(); 
		$("select[name='vinculoCampos']").each(function(){ if($(this).val() != '') { vinculoCampos.push($(this).val()); }});
		var	vinculoOpcao = new Array(); 
		$("select[name='vinculoOpcao']").each(function(){ vinculoOpcao.push($(this).val()); });
		var	inputVinculo1 = new Array(); 
		$("input[name='inputVinculo1']").each(function(){ inputVinculo1.push($(this).val()); });
		var	inputVinculo2 = new Array(); 
		$("input[name='inputVinculo2']").each(function(){ inputVinculo2.push($(this).val()); });

		// Filtros do Vinculo
		var tipoFiltros = $("input[name='opcaoFiltro']:radio:checked").val();
		var camposPai = new Array();
		var camposVinculo = new Array();
		
		// Filtros
		var	filtroCampo = new Array();
		var	filtroCampoID = new Array(); 
		var	filtroOpcao = new Array();
		var	filtroValor1 = new Array();
		var	filtroValor2 = new Array();
		
		$(".fielFiltros select[name='filtroCampos']").each(function(){ if($(this).val() != '') filtroCampo.push($(this).val()); });
		$(".fielFiltros select[name='opcao']").each(function(){ filtroOpcao.push($(this).val()); filtroCampoID.push(this.id); });
		$(".fielFiltros input[name='valorFiltro1']").each(function(){ filtroValor1.push($(this).val()); });
		$(".fielFiltros input[name='valorFiltro2']").each(function(){ filtroValor2.push($(this).val()); });
		
		var kkCont, aid;
		for(kkCont=0; kkCont < filtroOpcao.length; kkCont++) 
		{
			if(filtroOpcao[kkCont] == 'selecionar' || filtroOpcao[kkCont] == 'filtrar') 
			{
				aid = filtroCampoID[kkCont].split("_");		
				
				filtroValor1[kkCont] = $("#inputSelect_" + aid[1]).val();
				
				filtroValor2[kkCont] = '';
			}
		}
		
		if(tipoFiltros == 'P')
		{
			$("select[name='vinculoFiltroRelatorio']").each(function(){ camposPai.push($(this).val()); });
			$("select[name='vinculoFiltroVinculado']").each(function(){ camposVinculo.push($(this).val()); });
		}
		
		// alert(tipoFiltros + ' <=> ' + camposPai + ' <=> ' + camposVinculo);
		
		$.post(basepath + "principal/modalShowVinculoPreview", {
			tipo 			   : tipo,
			valores 	       : valores,
			relatoriovinculado : relatorio,
			urlVinculo		   : urlVinculo,
			'vinculoCampos[]'  : vinculoCampos,
			'vinculoOpcao[]'   : vinculoOpcao,
			'inputVinculo1[]'  : inputVinculo1,
			'inputVinculo2[]'  : inputVinculo2,	
			tipoFiltros		   : tipoFiltros,
			'camposPai[]'      : camposPai,
			'camposVinculo[]'  : camposVinculo,
			'filtroCampo[]'    : filtroCampo,
			'filtroOpcao[]'    : filtroOpcao,
			'filtroValor1[]'   : filtroValor1,
			'filtroValor2[]'   : filtroValor2
		}, function(data) { 
			$("#janela_modalGrafico").html('');
			$("#overlay").html('');
			
			var overlay = '<div id="overlay"></div>';
			var overlayCSS = {'position' : 'absolute','width' : pageWidth + 'px','height' : pageHeight + 'px','left' : '0','top' : '0','display' : 'none', 'z-index' : '50'};
			
			var janela = '<div id="janela_modalGrafico"></div>';
			var janelaCSS = {'position' : 'absolute','top' : '50%','left' : '50%','width' : '790px','height' : '450px','margin-left' : '-395px','margin-top' : '-225px','border' : '4px solid #63A0CE','border-radius' : '10px 0px 10px 10px','z-index' : '51'};
			
			var btnFechar = '<div class="fecharModal"><img id="btnFecharGrafico" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" onClick="fechar(\'Grafico\')" /></div>';
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay").css(overlayCSS).fadeIn('fast', function(){		
				$("#janela_modalGrafico").append(data);
			
				$("#janela_modalGrafico").append(btnFechar);
				$("#btnFecharGrafico").fadeIn("slow");
				
				$("#janela_modalGrafico").css(janelaCSS).fadeIn("slow");	
			});
		});
	}
	else
	{
		return false;
	}
}

function tipoRelatorio()
{
	var tipo = $("input[name='rdoSubRelatorio']:radio:checked").val();

	if(tipo == 'S')
	{
		// Esconde
		$("#lblGrupo, #comboGrupo, #lblDashboard, #comboDashboard, #lblRefresh, #comboRefresh, #trExibirBorda").fadeOut('fast');
		
		// Grupo do Sub-Relatorio
		$("#grupo").append('<option value="0" selected="selected"></option>');
		
		// Disponivel no dashboard
		$("#rdoVisivel3").attr("checked", true);
	} 
	else 
	{
		// Mostra
		$("#lblGrupo, #comboGrupo, #lblDashboard, #comboDashboard, #lblRefresh, #comboRefresh, #trExibirBorda").fadeIn('show');
		
		// Grupo do Sub-Relatorio
		$("#grupo option[value='0']").remove();
		
		// Disponivel no dashboard - Default
		$("#rdoVisivel1").attr("checked", true);
	}
	
	// Tempo de Atualização
	$("#listaTimeRefresh").val(0);
	
	// Borda no Relatório
	$("#exibirBorda").attr("checked", false);
}

function tipoRefresh()
{
	var visivel = $("input[name='rdoDisponivel']:radio:checked").val();
	
	if(visivel == 3)
	{
		// Esconde
		$("#lblRefresh, #comboRefresh, #trExibirBorda").fadeOut('fast');
		
		// Tempo de Atualização
		$("#listaTimeRefresh").val(0);
		
		// Borda no Relatório
		$("#exibirBorda").attr("checked", false);
	} 
	else 
	{
		// Mostra
		$("#lblRefresh, #comboRefresh, #trExibirBorda").fadeIn('show');
	}
}

function initAlterar()
{
	var relatorio = $("#relatorioid").val();
	
	if(relatorio != '')
	{
		if($("input[name='rdoSubRelatorio']:radio:checked").val() == 'S')
		{
			$("#lblGrupo, #comboGrupo, #lblDashboard, #comboDashboard, #lblRefresh, #comboRefresh").fadeOut('fast');

			$("#grupo").append('<option value="0" selected="selected"></option>');
			
			$("#rdoVisivelN").attr("checked", true);
		}
		else if($("input[name='rdoVisivelDash']:radio:checked").val() == 'N') 
		{
			$("#lblRefresh, #comboRefresh").fadeOut('fast');
		}
		else
		{
			return false;
		}
	}
	else
	{
		return false;
	}
}

function addInputUrl()
{
	var valor = $(this).html();
	
	var input = $("#urlVinculo").val();
	
	$("#urlVinculo").val(input + valor);
}

function mostarDescricaoTipoVinculo()
{
	var tipo = $.trim( $("input[name='formato']:radio:checked").val() );
	
	var html = 'Valores poss&iacute;veis para a url:<br><br>';
	
	html += '<span class="dblclickadd">{dash}</span> - Servidor do Dashboard.<br>';
	
	if(tipo == 'T' || tipo == 'D')
	{
		html += '<span class="dblclickadd">{id}</span> - &Iacute;ndice da linha.<br>';
		html += '<span class="dblclickadd">{valorcelula}</span> - Valor da c&eacute;lula.<br>';
	}
	else if(tipo == 'P')
	{
		html += '<span class="dblclickadd">{valorlegenda}</span> - Valor da legenda.<br>';
		html += '<span class="dblclickadd">{valorfatia}</span> - Valor da fatia.<br>';
	}
	else if(tipo == 'B' || tipo == 'C' || tipo == 'L')
	{
		html += '<span class="dblclickadd">{valordivisao}</span> - Valor da divis&atilde;o.<br>';
		html += '<span class="dblclickadd">{valorlegenda}</span> - Valor da legenda.<br>';
		html += '<span class="dblclickadd">{valorselecao}</span> - Valor da sele&ccedil;&atilde;o.<br>';
	}
	else
	{
		return false;
	}

	$("#tabelaDescricaoVinculo").html(html);
	
	$(".dblclickadd").dblclick(addInputUrl);
	
	$("#tabelaDescricaoVinculo, #arrowDescricaoVinculo").fadeIn('slow');
}

function mostrarFiltrosVinculos()
{
	var tipo = $.trim( $("input[name='opcaoFiltro']:radio:checked").val() );
	
	if(tipo == 'P')
	{
		$(".overflowVinculosFiltros, .titleCamposVinculoFiltros").fadeIn('slow');
	}
	else
	{
		$(".overflowVinculosFiltros, .titleCamposVinculoFiltros").fadeOut('fast');
	}
}

function trocarAbaVinculo(abaVinculo)
{
	tabsVinculo = $("#tabsVinculo").children('ul').children();
	divsVinculo = $("#tabsVinculo").children('div');
	
	tabsVinculo.removeClass('in');
	$(tabsVinculo[abaVinculo]).addClass('in');
	
	divsVinculo.hide();
	$(divsVinculo[abaVinculo]).fadeIn('slow');
}

function init()
{
	// Visualização da descrição do tipo de vinculo
	$("#iconeDescricaoVinculos").mouseover(function() { 
		mostarDescricaoTipoVinculo(); 
	}).mouseout(function(){ 
		var eventOver = false;
		$("#tabelaDescricaoVinculo").mouseenter(function() {
			eventOver = true; 
		}).mouseleave(function() {
			$("#tabelaDescricaoVinculo, #arrowDescricaoVinculo").fadeOut('fast');
		});
		setTimeout(function(){ 
			if(!eventOver) $("#tabelaDescricaoVinculo, #arrowDescricaoVinculo").fadeOut('fast');
		}, 1500);
	});

	pageWidth = $(document).width();
	pageHeight = $(document).height();
	
	initVinculo();
	
	initAlterar();
	
	tipoRefresh();
}

$(document).ready(init);